import request from '@/utils/request';

/*  费用申请  */


// 列表
export async function feeApplyPageListAPI(data) {
  let par = new URLSearchParams(data);
  const res = await request.get(`/eom/finfeeapply/page?` + par, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}


// 新增
export async function feeApplySaveAPI(data) {
  const res = await request.post(`/eom/finfeeapply/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 编辑
export async function feeApplyUpdateAPI(data) {
  const res = await request.put(`/eom/finfeeapply/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 信息
export async function getFeeApplyInfoAPI(id) {
  const res = await request.get(`/eom/finfeeapply/getById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 删除
export async function feeApplyRemoveAPI(data) {
  const res = await request.delete('/eom/finfeeapply/delete', {data});
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// 提交-开启流程
export async function finFeeApplySubmit(data) {
  const res = await request.post('/bpm/finFeeApply/submit', data);
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}
